FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development Java

 
 
LinkBack Thread Tools
 
Old 04-30-2008, 07:05 AM
sombriks
 
Default eclipse 3.4 M6, CDT from CVS, Autotools from CVS... something to do.

hi all

after good people started to help me, the things started so get figured.

in order to have a working CDT, i've needed the foolowing
plugin-projects on my workspace:


org.eclipse.cdt.core.linux.x86
org.eclipse.cdt.refactoring
org.eclipse.cdt.sdk
org.eclipse.cdt.core
org.eclipse.cdt.core.linux
org.eclipse.cdt.debug.core
org.eclipse.cdt.debug.ui
org.eclipse.cdt.launch
org.eclipse.cdt.make.core
org.eclipse.cdt.make.ui
org.eclipse.cdt.managedbuilder.core
org.eclipse.cdt.managedbuilder.gnu.ui
org.eclipse.cdt.managedbuilder.ui
org.eclipse.cdt.ui


and it lauched flawlessly.

later, i checkout'ed these projects from sources.redhat.com:

com.redhat.eclipse.cdt.autotools.feature
com.redhat.eclipse.cdt.autotools-docs
com.redhat.eclipse.cdt.autotools
com.redhat.eclipse.cdt.autotools.tests

the plugin is recognized but with some issues: this was the first one:

"The type org.eclipse.core.filesystem.IFileStore cannot be resolved. It
is indirectly referenced from required .class files"


class MakeGenerator.java, line 1056.

after some search, ive figured that IFileStore is inside eclipse and cdt
plugins uses it and don't have any issue.


the fixup was a modification in the MANIFEST.MF, adding a property found
inside another manifest, from org.eclipse.cdt.make.core. in the key
Require-Bundle, that property is needed:


org.eclipse.core.filesystem;bundle-version="1.2.0"

but if it's added, 48 other errors inside automake will appear.

i think that's because some change in cdt, since the main difference now
is the previous error was about some not found class. this time are many
"must implement" errors.


i would like to get some advice, since i'm learning now about plugins,
and also don't know what to do if i make some change there.



--
fedora-devel-java-list mailing list
fedora-devel-java-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-java-list
 

Thread Tools




All times are GMT. The time now is 10:55 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org